ranges::v3::view::adjacent_remove_if_fn Struct Reference

## Synopsis of methods

constexpr view< adjacent_remove_if_fn > | adjacent_remove_if {}

## Public Types

template<typename Rng , typename Pred >
using | Constraint = meta::and_< ForwardRange< Rng >, IndirectPredicate< Pred, iterator_t< Rng >, iterator_t< Rng > >>

## Public Member Functions

template<typename Rng , typename Pred , requires = (Constraint<Rng, Pred>())>
auto | operator() (Rng &&rng, Pred pred) const noexcept(noexcept(decltype(adjacent_remove_if_view< all_t< Rng >, Pred >{ all(static_cast< Rng &&>(rng)), std::move(pred)})(adjacent_remove_if_view< all_t< Rng >, Pred >{ all(static_cast< Rng &&>(rng)), std::move(pred)}))) -> decltype(adjacent_remove_if_view< all_t< Rng >, Pred >